Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.jems.as.system
Class AbstractJBossService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  AbstractCommandFactory, AbstractFederatedIndexer, AbstractFederatedSearcher, AbstractJNDIServiceFactory, AbstractModule, AbstractPortalObjectContainer, AbstractResponseHandler, AbstractURLFactory, ApprovePublishImpl, AuthorizationManagerImpl, AuthorizationProviderImpl, CachingServiceFactory, CMSImpl, CMSTreeCacheServiceImpl, ConsumerRegistryService, Controller, CustomizationManagerService, DashboardBridge, DefaultRegistrationPolicy, EntityResolverService, IdentityServiceControllerImpl, IndexFederationService, InstanceContainerImpl, JACCPortalAuthorizationManagerFactory, JBossAuthorizationDomainRegistryImpl, JBossInterceptorRegistration, JBossInterceptorStackFactory, JBossTreeCacheProvider, JCRCMS, JNDIBinder, LayoutServiceImpl, LifecycleInvoker, PageServiceImpl, PersistentPortletStatePersistenceManager, PortalEventListenerRegistryImpl, PortalEventListenerServiceImpl, PortalImpl, ProducerConfigurationServiceImpl, RegistrationManagerImpl, RegistrationPersistenceManagerImpl, SearchFederationService, SearchResultURLFactory, SecurityBridge, ServletAccessService, SessionFactoryBinder, ThemeServiceImpl, UsersActivityStatsServiceImpl, WebAppIntercepter, WorkflowServiceImpl, WSRPConsumerImpl, WSRPProducerImpl

    public class AbstractJBossService

extends org.jboss.system.ServiceMBeanSupport

JBoss service integration helper.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AbstractJBossService()`
`AbstractJBossService(java.lang.Class type)`
`AbstractJBossService(org.jboss.logging.Logger log)`
`AbstractJBossService(java.lang.String category)`

Method Summary
`void` | `create()`
`void` | `destroy()`
`int` | `getState()`
`java.lang.String` | `getStateString()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJBossService

    public AbstractJBossService()

### AbstractJBossService

    public AbstractJBossService(java.lang.Class type)

### AbstractJBossService

    public AbstractJBossService(java.lang.String category)

### AbstractJBossService

    public AbstractJBossService(org.jboss.logging.Logger log)

Method Detail

### getState

    public final int getState()

  Specified by:
    `getState` in interface `org.jboss.system.ServiceMBean`
  Overrides:
    `getState` in class `org.jboss.system.ServiceMBeanSupport`

### getStateString

    public final java.lang.String getStateString()

  Specified by:
    `getStateString` in interface `org.jboss.system.ServiceMBean`
  Overrides:
    `getStateString` in class `org.jboss.system.ServiceMBeanSupport`

### create

    public final void create()
                      throws java.lang.Exception

  Specified by:
    `create` in interface `org.jboss.system.Service`
  Overrides:
    `create` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### start

    public final void start()
                     throws java.lang.Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Overrides:
    `start` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stop

    public final void stop()

  Specified by:
    `stop` in interface `org.jboss.system.Service`
  Overrides:
    `stop` in class `org.jboss.system.ServiceMBeanSupport`

### destroy

    public final void destroy()

  Specified by:
    `destroy` in interface `org.jboss.system.Service`
  Overrides:
    `destroy` in class `org.jboss.system.ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD